---
search:
  tags:
    - support-contacts
    - GET
seo:
  description: >-
    List support customer comments. Reference for the GET
    /workspaces/{organizationId}/support/customers/{customerId}/comments
    endpoint in the Pile API.
sidebar:
  label: List support customer comments
  badge: GET
title: List support customer comments
type: openapi-operation
---
`GET /workspaces/{organizationId}/support/customers/{customerId}/comments`

**Responses**

- `200` — Record comments
- `404` — Record not found

Response example, 200:

```json
{
  "comments": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "string",
      "entityId": "string",
      "authorId": "string",
      "body": "string",
      "internal": true,
      "externalId": "string",
      "externalSource": "string",
      "externalAuthor": "string",
      "resolvedAt": "string",
      "resolvedById": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
